Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.analysis_engine
Interface AnalysisProcessData

Deprecated.

    public interface AnalysisProcessData

Encapsulates all data that is modified by an `AnalysisEngine`'s `AnalysisEngine.process(AnalysisProcessData,ResultSpecification)` method. This currently includes:

- The `Common Analysis System(CAS)`, from which the AnalysisEngine obtains the information to be processed, and to which the AnalysisEngine writes new annotation information.
- The `ProcessTrace` object, which is used to record which AnalysisEngine components have executed and information, such as timing, about that execution.

In a tightly-coupled system, a single `AnalysisProcessData` object is shared by multiple AnalysisEngines.

In a loosely-coupled system, the `AnalysisProcessData` object is transmitted between remote AnalysisEngine services.

Method Summary
`CAS` | `getCAS()` Deprecated. Gets the Common Analysis System (`CAS`), from which the AnalysisEngine obtains the information to be processed, and to which the AnalysisEngine writes new annotation information.
`ProcessTrace` | `getProcessTrace()` Deprecated. Gets the `ProcessTrace` object, which is used to record which AnalysisEngine components have executed and information, such as timing, about that execution.

Method Detail

### getCAS

    CAS getCAS()

  Deprecated.
  Gets the Common Analysis System (`CAS`), from which the AnalysisEngine obtains the information to be processed, and to which the AnalysisEngine writes new annotation information.

  Returns:
    a reference to the CAS used by the AnalysisEngine

### getProcessTrace

    ProcessTrace getProcessTrace()

  Deprecated.
  Gets the `ProcessTrace` object, which is used to record which AnalysisEngine components have executed and information, such as timing, about that execution.

  Returns:
    a reference to the `ProcessTrace` object used by the AnalysisEngine

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.